Install cacti 1.0.2 with apt-get

Post support questions that directly relate to Linux/Unix operating systems.

Moderators: Moderators, Developers

Author
Message
paulgevers
Cacti Pro User
Posts: 593
Joined: Tue Aug 29, 2006 4:09 pm
Location: NL

Re: Install cacti 1.0.2 with apt-get

#61 Post by paulgevers » Mon Oct 29, 2018 3:34 pm

18.10 is build. If you can't figure out how to add my 18.10 ppa to Ubuntu 18.04, you can install the *.deb from this page
Maintainer of cacti in Debian (and Ubuntu).
Cacti 1.* is now officially supported on Debian Stretch via Debian backports
FAQ Ubuntu and Debian differences
Generic cacti debugging

Axel90
Cacti User
Posts: 126
Joined: Fri Feb 10, 2017 12:41 pm

Re: Install cacti 1.0.2 with apt-get

#62 Post by Axel90 » Tue Oct 30, 2018 9:16 am

I did it successfully with the deb file (since I don't know what to change in the sources.list file).
Great work :)

Axel90
Cacti User
Posts: 126
Joined: Fri Feb 10, 2017 12:41 pm

Re: Install cacti 1.0.2 with apt-get

#63 Post by Axel90 » Wed Jan 09, 2019 6:43 am

Hi Paul,
could you again provide a deb file for 1.2 final?
Would be great!

paulgevers
Cacti Pro User
Posts: 593
Joined: Tue Aug 29, 2006 4:09 pm
Location: NL

Re: Install cacti 1.0.2 with apt-get

#64 Post by paulgevers » Wed Jan 09, 2019 2:14 pm

Axel90 wrote:Hi Paul,
could you again provide a deb file for 1.2 final?
Would be great!
Sure, I already started working on it.
Maintainer of cacti in Debian (and Ubuntu).
Cacti 1.* is now officially supported on Debian Stretch via Debian backports
FAQ Ubuntu and Debian differences
Generic cacti debugging

netniV
Cacti Guru User
Posts: 2928
Joined: Sun Aug 27, 2017 12:05 am

Re: Install cacti 1.0.2 with apt-get

#65 Post by netniV » Wed Jan 09, 2019 4:59 pm

Have they addressed the charting bug yet Paul? I haven't seen any updates on the posts I made.

paulgevers
Cacti Pro User
Posts: 593
Joined: Tue Aug 29, 2006 4:09 pm
Location: NL

Re: Install cacti 1.0.2 with apt-get

#66 Post by paulgevers » Thu Jan 10, 2019 3:14 am

netniV wrote:Have they addressed the charting bug yet Paul? I haven't seen any updates on the posts I made.
If you are talking about bug 896468, then no, that isn't addressed yet. I started working on it, but I have a hard time generating the content from source as there are packages missing in Debian.

I plan to work around the issue left or right before the buster release.
Maintainer of cacti in Debian (and Ubuntu).
Cacti 1.* is now officially supported on Debian Stretch via Debian backports
FAQ Ubuntu and Debian differences
Generic cacti debugging

Axel90
Cacti User
Posts: 126
Joined: Fri Feb 10, 2017 12:41 pm

Re: Install cacti 1.0.2 with apt-get

#67 Post by Axel90 » Thu Feb 07, 2019 8:51 am

Hey Paul,
how is it going?

paulgevers
Cacti Pro User
Posts: 593
Joined: Tue Aug 29, 2006 4:09 pm
Location: NL

Re: Install cacti 1.0.2 with apt-get

#68 Post by paulgevers » Thu Feb 07, 2019 8:59 am

Axel90 wrote:how is it going?
It's a bit more complicated.

Because of security issues, libphp-phpmailer had to be upgraded in both Cacti and in Debian. However, it isn't backwards compatible, so I am slightly afraid of just providing it as a backport, as it may break unrelated stuff. However, I have added a versioned dependency on the latest version.
Maintainer of cacti in Debian (and Ubuntu).
Cacti 1.* is now officially supported on Debian Stretch via Debian backports
FAQ Ubuntu and Debian differences
Generic cacti debugging

Axel90
Cacti User
Posts: 126
Joined: Fri Feb 10, 2017 12:41 pm

Re: Install cacti 1.0.2 with apt-get

#69 Post by Axel90 » Fri Feb 08, 2019 2:49 am

That means you are going to upload a deb file soon?

paulgevers
Cacti Pro User
Posts: 593
Joined: Tue Aug 29, 2006 4:09 pm
Location: NL

Re: Install cacti 1.0.2 with apt-get

#70 Post by paulgevers » Wed Feb 20, 2019 4:17 pm

Axel90 wrote:That means you are going to upload a deb file soon?
Done so earlier this evening.
Maintainer of cacti in Debian (and Ubuntu).
Cacti 1.* is now officially supported on Debian Stretch via Debian backports
FAQ Ubuntu and Debian differences
Generic cacti debugging

Axel90
Cacti User
Posts: 126
Joined: Fri Feb 10, 2017 12:41 pm

Re: Install cacti 1.0.2 with apt-get

#71 Post by Axel90 » Thu Feb 21, 2019 10:15 am

Nice!
I have a question though: When I do the upgrade steps, I get a date timezone error:
cacti1.JPG
cacti1.JPG (107.16 KiB) Viewed 535 times
But only for cli, not for gui.
Can you help me?

netniV
Cacti Guru User
Posts: 2928
Joined: Sun Aug 27, 2017 12:05 am

Re: Install cacti 1.0.2 with apt-get

#72 Post by netniV » Thu Feb 21, 2019 11:44 am

If this is ubuntu, you need to set it in /etc/php/cli/php.ini

Axel90
Cacti User
Posts: 126
Joined: Fri Feb 10, 2017 12:41 pm

Re: Install cacti 1.0.2 with apt-get

#73 Post by Axel90 » Fri Feb 22, 2019 6:55 am

That worked but I can't upgrade because of this:
cacti3.JPG
cacti3.JPG (262.36 KiB) Viewed 526 times

I also got those error messages when I installed the deb file:
cacti2.JPG
cacti2.JPG (90 KiB) Viewed 526 times
They are the same.

netniV
Cacti Guru User
Posts: 2928
Joined: Sun Aug 27, 2017 12:05 am

Re: Install cacti 1.0.2 with apt-get

#74 Post by netniV » Fri Feb 22, 2019 7:20 pm

Did you run the beta at all? That is normally an issue when you do with that particular upgrade path.

Try running

Code: Select all

sudo -u <website user> php -q cli/update_database.php --forcever=1.1.38

Axel90
Cacti User
Posts: 126
Joined: Fri Feb 10, 2017 12:41 pm

Re: Install cacti 1.0.2 with apt-get

#75 Post by Axel90 » Mon Feb 25, 2019 5:57 am

That worked, thank you!

Post Reply